List Mcp Servers
This method allows you to list all MCP servers that have been registered.
after
before
limit
offset
order
set_num_objects
name
Successful Response
{
"object": "string",
"has_more": false,
"num_objects": 0,
"data": [
{
"name": "string",
"description": "string",
"documentation_url": "string",
"url": "string",
"transport": "string",
"id": "string",
"object": "string",
"created_at": 0,
"availability": "string",
"last_available_at": 0,
"last_updated_at": 0
}
],
"first_id": "string",
"last_id": "string"
}
Object type, which is always list.
True, if the server may have more objects than returned in the response.
Total number of objects that match the request. Note that this field is populated only if requested by the user (see set_num_objects request parameter).
List of MCP servers.
ID of the first element in the list (if any)
ID of the last element in the list (if any)
An invalid ID was passed for paginating results.
Validation Error
{
"detail": [
{
"loc": [
{}
],
"msg": "string",
"type": "string"
}
]
}
detail
curl -H 'Authorization: <value>' https://{api_host}/api/v1/control/mcp-servers